1. Docs
  2. API Reference
  3. List the identity roles an administrator role may grant in an Environment

List the identity roles an administrator role may grant in an Environment

GET/portal/v1/accounts/{accountSlug}/admin-roles/{adminRoleId}/grantable-roles

Authentication

Bearer TokenAuthorization

JWT access token. Never send alongside X-API-Key: a request carrying both is refused.

Path Parameters

adminRoleIdstring Required

Query Parameters

environmentIdstring Required

Environment whose grantable roles to read

Responses

application/json

  • itemsstring[]*

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*
Request
curl -X GET "https://auth.canopy-io.com/portal/v1/accounts/{accountSlug}/admin-roles/value/grantable-roles?environmentId=value" \
  -H "Authorization: Bearer $CANOPY_TOKEN"
Response
{
  "items": [
    "string"
  ]
}
Related endpoints
GETList operational-administrator roles for the Account
POSTCreate an operational-administrator role
GETList the operational capabilities a role may grant
GETGet an operational-administrator role
PATCHUpdate an operational-administrator role
DELETEDelete an administrator role
PUTSet the identity roles an administrator role may grant in an Environment
Was this page helpful?

Tell us how we can improve this guide.